summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* Move Ansible dependencies to python-common.morphbaserock/pedroalvarez/upgrade-ansiblePedro Alvarez2015-02-2611-33/+55
| | | | | This dependencies are needed for some Openstack components, and this will avoid duplication once this work is done.
* Upgrade Ansible to v1.8.4 and dependenciesPedro Alvarez2015-02-262-10/+27
|
* Merge branch 'sam/python-core-fixes'Sam Thursfield2015-02-264-0/+4
|\ | | | | | | | | | | Reviewed-By: Pedro Alvarez <pedro.alvarez@codethink.co.uk> Reviewed-By: Adam Coldrick <adam.coldrick@codethink.co.uk> Reviewed-By: Francisco Redondo Marchena <francisco.marchena@codethink.co.uk>
| * xstatic needs python-corePedro Alvarez2015-02-261-0/+1
| |
| * Python-core needed in apache-httpd for mod_wsgi-metricsPedro Alvarez2015-02-261-0/+1
| |
| * Python-core is needed in databases to build python-memcachedPedro Alvarez2015-02-261-0/+1
| |
| * Add python-core to ansible stratumFrancisco Redondo Marchena2015-02-261-0/+1
|/ | | | | markupsafe needs setuptools to compile and it got moved to python-core, so ansible build-depends on python-core.
* Merge branch 'baserock/jjardon/core_cleanup'Javier Jardón2015-02-269-44/+16
|\ | | | | | | Reviewed-By: Richard Maw <richard.maw@gmail.com>
| * Move sgdisk morph file to correct location (chef stratum)baserock/jjardon/core_cleanupJavier Jardón2015-02-262-1/+1
| |
| * strata/chef/libpopt: Use default autotools commands instead hardcode themJavier Jardón2015-02-261-5/+1
| |
| * Move libopt morph file to correct location (chef stratum)Javier Jardón2015-02-262-1/+1
| |
| * strata/core/patch: Use default autotools commands instead hardcode themJavier Jardón2015-02-261-6/+2
| |
| * strata/core: patch doesnt depend on bashJavier Jardón2015-02-262-2/+1
| |
| * strata/core.morph: libtool doesnt depend on bashJavier Jardón2015-02-261-2/+1
| |
| * strata/core: Upgrade to latest version of help2man (1.46.5)Javier Jardón2015-02-262-12/+2
| |
| * strata/core: gtk-doc-stub doesnt depend on automake/autoconf/libtoolJavier Jardón2015-02-261-3/+1
| | | | | | | | ... but in a bash configure script
| * strata/coreutils-common/coreutils: Tell coreutils to not use gitJavier Jardón2015-02-261-1/+1
| |
| * strata/core.morph: bison doesnt depend on bashJavier Jardón2015-02-262-2/+1
| |
| * strata/core/bison: Do not use workaround to get package versionJavier Jardón2015-02-261-1/+0
| |
| * Update gstreamer to include fix to detect bison version correclyJavier Jardón2015-02-261-2/+2
| |
| * strata/core/bison: Use default autotools commands instead hardcode themJavier Jardón2015-02-261-6/+2
|/
* Merge branch 'baserock/adamcoldrick/fix-cloudinit'Adam Coldrick2015-02-261-1/+1
|\ | | | | | | Reviewed-by: Pedro Alvarez <pedro.alvarez@codethink.co.uk>
| * Make cloudinit depend on python-core since setuptools has movedbaserock/adamcoldrick/fix-cloudinitAdam Coldrick2015-02-261-1/+1
|/
* Update Morph for distbuild fixes and sourceresolver bug fixesSam Thursfield2015-02-251-1/+1
|
* Merge branch 'baserock/jjardon/move_python_core'Javier Jardón2015-02-253-15/+15
|\ | | | | | | Reviewed-By: Richard Maw <richard.maw@gmail.com>
| * Move python-setuptools from core to python-corebaserock/jjardon/move_python_coreJavier Jardón2015-02-202-9/+10
| |
| * Move pyyalm from core to python-coreJavier Jardón2015-02-203-7/+6
| |
* | Merge branch 'baserock/jjardon/systemd219'Javier Jardón2015-02-254-9/+8
|\ \ | | | | | | | | | | | | Reviewed-by: Tiago Gomes <tiago.gomes@codethink.co.uk> Reviewed-By: Richard Maw <richard.maw@gmail.com>
| * | strata/foundation/systemd.morph: Allow multiple threads when buildingbaserock/jjardon/systemd219Javier Jardón2015-02-191-1/+0
| | |
| * | strata/foundation.morph: Upgrade systemd to v219Javier Jardón2015-02-191-2/+2
| | |
| * | strata/core: Upgrade util-linux to v2.25.2Javier Jardón2015-02-191-2/+2
| | |
| * | build-essential: Upgrade linux-headers to 3.19Javier Jardón2015-02-191-4/+4
| | |
* | | strata/gtk3.morph: Build GTK+ 3.15.4Javier Jardón2015-02-241-2/+2
| | | | | | | | | | | | versions >= 3.15.5 doesn't compile as they need a new version of GLib
* | | Merge branch 'baserock/franred/add-more-xstatic-libraries-required-by-horizon'Francisco Redondo Marchena2015-02-241-0/+30
|\ \ \ | | | | | | | | | | | | | | | | Reviewed-by: Sam Thursfield <sam.thursfield@codethink.co.uk> Reviewed-by: Pedro Alvarez <pedro.alvarez@codethink.co.uk>
| * | | Add more xstatic packages required by HorizonFrancisco Redondo Marchena2015-02-241-0/+30
|/ / / | | | | | | | | | | | | | | | | | | | | | This static packages were required when trying to collect the static files for horizon. This conflicts with the 'everything from Git' policy of Baserock,but it is required right now for the Openstack system to work.
* | | Merge branch 'baserock/jjardon/python3'Javier Jardón2015-02-242-0/+19
|\ \ \ | | | | | | | | | | | | | | | | Reviewed-by: Sam Thursfield <sam.thursfield@codethink.co.uk> Reviewed-By: Adam Coldrick <adam.coldrick@codethink.co.uk>
| * | | Add Python 3 stratumbaserock/jjardon/python3Javier Jardón2015-02-192-0/+19
| |/ / | | | | | | | | | This is based in a patch from Paul Sherwood
* | | Merge branch 'baserock/jjardon/libtool246'Javier Jardón2015-02-231-2/+2
|\ \ \ | | | | | | | | | | | | | | | | Reviewed-by: Sam Thursfield <sam.thursfield@codethink.co.uk> Reviewed-By: Pedro Alvarez <pedro.alvarez@codethink.co.uk>
| * | | strata/core: Upgrade to libtool 2.4.6baserock/jjardon/libtool246Javier Jardón2015-02-231-2/+2
| | |/ | |/| | | | | | | | | | | | | | | | | | | From the release notes: "This version regains most of the speed of 2.4.2 by correcting one of two known regressions that were causing noticable slow-down when building projects with many source files."
* | | Add back ARM SDK systemsSam Thursfield2015-02-232-0/+36
| | | | | | | | | | | | | | | I accidentally removed these instead of renaming them in commit efe5807433bb576bbba4312d2e3d150ed6f7e1a4
* | | Merge branch 'baserock/sam/fix-diff-build'Sam Thursfield2015-02-231-1/+1
|\ \ \ | | | | | | | | | | | | | | | | Reviewed-By: Javier Jardón <javier.jardon@codethink.co.uk> Reviewed-By: James Thomas <james.thomas@codethink.co.uk>
| * | | Disable extra GCC warnings for GNU Diffbaserock/sam/fix-diff-buildSam Thursfield2015-02-201-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | These are enabled based on the presence of a .git directory in the source tree by diff's configure.ac script. It includes the dreaded -Werror. This fixes the build on armv7lhf.
| * | | Merge branch 'baserock/franred/disable-werror-when-compiling-libvirt'Francisco Redondo Marchena2015-02-201-1/+1
| |\ \ \ | | | | | | | | | | | | | | | | | | | | Reviewed-by: Sam Thursfield <sam.thursfield@codethink.co.uk> Reviewed-by: Pedro Alvarez <pedro.alvarez@codethink.co.uk>
* | \ \ \ Merge branch 'baserock/jjardon/multimedia'Javier Jardón2015-02-2015-21/+59
|\ \ \ \ \ | | | | | | | | | | | | | | | | | | | | | | | | Reviewed-by: Sam Thursfield <sam.thursfield@codethink.co.uk> Reviewed-by: James Thomas <james.thomas@codethink.co.uk>
| * | | | | Rename multimedia to multimedia-gstreamerbaserock/jjardon/multimediaJavier Jardón2015-02-2012-21/+21
| | | | | |
| * | | | | strata/multimedia: Make multimedia stratum depend on mesa-commonJavier Jardón2015-02-201-0/+1
| | | | | | | | | | | | | | | | | | | | | | | | So we can build the new GL and wayland plugins
| * | | | | Make multimedia and multimedia-gstreamer-0.10 depend on multimedia-commonJavier Jardón2015-02-2011-0/+20
| | | | | | | | | | | | | | | | | | | | | | | | Change the systems as well so nothing break
| * | | | | Add multimedia-common stratumJavier Jardón2015-02-201-0/+17
| | | | | | | | | | | | | | | | | | | | | | | | with libogg and libvorbis for now
* | | | | | Merge branch 'sam/sdk-update-v2'Sam Thursfield2015-02-2010-112/+152
|\ \ \ \ \ \ | |/ / / / / |/| | | | | | | | | | | | | | | | | Reviewed-By: Pedro Alvarez <pedro.alvarez@codethink.co.uk> Reviewed-By: Richard Maw <richard.maw@codethink.co.uk>
| * | | | | Remove 'generic' from SDK system namesSam Thursfield2015-02-203-38/+2
| | | | | | | | | | | | | | | | | | | | | | | | They are long enough anyway.